Bug 550876 - gpk-application doesnt filter available packages properly
Summary: gpk-application doesnt filter available packages properly
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-27 22:19 UTC by Jason Roysdon
Modified: 2010-12-04 01:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 442503
Environment:
Last Closed: 2010-12-04 01:09:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Roysdon 2009-12-27 22:19:22 UTC
+++ This bug was initially created as a clone of Bug #442503 +++

Description of problem:
pk-application no longer shows duplicate entries for installed packages, however
now if I choose to filter out only available packages, pk-application still
shows me packages I've just installed, even though I can drop the filter and
clearly see the package is installed.  

Version-Release number of selected component (if applicable):
gpk-application 0.1.12

How reproducible:
Every time


Steps to Reproduce:
1.  Bring up gpk-application
2.  Select a category and install a package not currently installed
3.  Once the package finishes installing, note that it now shows as installed in
the category list
4.  Now sort the category to only show "available" packages.
5.  Notice the package is now "greyed out" and showing as still available for
install
  
Actual results:
gpk-application doesn't filter results correctly.

Expected results:
gpk-application should filter results correctly.

Additional info:

--- Additional comment from richard@hughsie.com on 2008-04-15 16:44:19 EDT ---

Should be fixed, could you give the newest packages from Rawhide a go please.
Thanks.

--- Additional comment from jwest@redhat.com on 2008-04-20 00:54:56 EDT ---

Richard ... I tested the latest packages and the problem still exists.  For
example.  If I open pkg-application and search in the KDE category I see
"dragon-player" listed.  IT's not installed so I install it.  After it's
installed, I see it no longer "greyed" out.  So I go to filter and only show
"available" packages.  Strangely "dragon-player" is still listed as a option,
when it was clearly just installed.

--jwest

--- Additional comment from richard@hughsie.com on 2008-04-20 20:07:46 EDT ---

Well, I'm guessing this is because yum still counts a package as available even
when there's a nevra of the same version installed. I guess we'll have to filter
them in the yum backend, although that's pretty sucky.

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-14 05:28:07 EDT ---

Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from rhughes@redhat.com on 2008-09-17 04:42:46 EDT ---

Should be fixed in the PackageKit in F9 and rawhide -- please confirm.

Comment 1 Jason Roysdon 2009-12-27 22:19:57 UTC
Bug still exists (or was fixed and now reappears) in F12.

Comment 2 Steven M. Parrish 2010-01-12 12:57:47 UTC
This bug has been triaged

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2010-11-04 02:23:08 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-04 01:09:24 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.